Page MenuHomePhabricator

[Orc] Two small fixes in TPCDynamicLibrarySearchGenerator
ClosedPublic

Authored by sgraenitz on Nov 18 2020, 6:23 AM.

Details

Summary

Two details we missed in D90132:
There is one result per lookup symbol, so we have to advance the result iterator no matter whether it's NULL or not.
MissingSymbols variable is unused.

Diff Detail

Event Timeline

sgraenitz created this revision.Nov 18 2020, 6:23 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 18 2020, 6:23 AM
Herald added a subscriber: hiraditya. · View Herald Transcript
sgraenitz requested review of this revision.Nov 18 2020, 6:23 AM

Friendly ping. @lhames Can you confirm this fix? I couldn't find a test for this piece of code.

lhames accepted this revision.Dec 7 2020, 2:16 PM

LGTM -- Nice catch, thanks Stefan!

This revision is now accepted and ready to land.Dec 7 2020, 2:16 PM
This revision was landed with ongoing or failed builds.Dec 8 2020, 1:58 AM
This revision was automatically updated to reflect the committed changes.